ARES_SAVE_OPTIONS(3)

NAME
ares_save_options - Save configuration values obtained from initialized ares_channel

SYNOPSIS
#include <ares.h>

void ares_save_options(ares_channel channel, struct ares_options *options, int *optmask)

DESCRIPTION
The ares_save_options function saves the channel data identified by channel, into the options struct identified by options, and saves the mask of options which are set to the integer pointer (passed by reference) identified by optmask. The resultant options and optmask are then able to be passed directly to ares_init_options. When the options are no longer needed, ares_destroy_options should be called to free any associated memory.

SEE ALSO
ares_destroy_options(3), ares_init_options(3)

AUTHOR
Brad House
Copyright 1998 by the Massachusetts Institute of Technology.